Masumi Logo

/monitoring

Gets the current status of the blockchain state monitoring service

GET
/monitoring
token<token>

API key authentication via header (token)

In: header

Response Body

application/json

curl -X GET "https://loading/./../api/v1/monitoring"
{
  "status": "success",
  "data": {
    "MonitoringStatus": {
      "isMonitoring": true,
      "Stats": {
        "trackedEntities": 42,
        "PurchaseCursor": {
          "timestamp": "2024-01-01T00:00:00.000Z",
          "lastId": "cuid_v2_auto_generated"
        },
        "PaymentCursor": {
          "timestamp": "2024-01-01T00:00:00.000Z",
          "lastId": "cuid_v2_auto_generated"
        },
        "MemoryUsage": {
          "heapUsed": "50MB",
          "heapTotal": "100MB",
          "external": "10MB"
        }
      }
    }
  }
}
Empty
Empty
Masumi Kanji